Category : android-jetifier

FAILURE: Build failed with an exception. What went wrong: Execution failed for task ‘:app:checkDebugAarMetadata’. Could not resolve all files for configuration ‘:app:debugRuntimeClasspath’. Failed to transform deepar.aar to match attributes {artifactType=android-aar-metadata}. > Execution failed for JetifyTransform: C:UsersHPOneDriveDesktopflutter.pub-cachehostedpub.dartlang.orgcamera_deep_ar-0.0.1androidlibsdeepar.aar. > Failed to transform ‘C:UsersHPOneDriveDesktopflutter.pub-cachehostedpub.dartlang.orgcamera_deep_ar-0.0.1androidlibsdeepar.aar’ using Jetifier. Reason: IllegalArgumentException, message: MALFORMED. (Run with –stacktrace for more details.) Suggestions: – ..

Read more

I am trying to use mxparser in my android project. I downloaded MathParser.org-mXparser-v.4.4.0-jdk13.jar and pasted it in libs folder of my project. But my app is failing to build and the build output is: FAILURE: Build failed with an exception. What went wrong: Execution failed for task ‘:app:mergeDebugJavaResource’. Could not resolve all files for configuration ..

Read more

I tried adding Installreferrer to my app after adding it to gradle, when rebuilding the app. I’m getting this error. Duplicate class com.google.android.a.a found in modules jetified-installreferrer-2.2-runtime (com.android.installreferrer:installreferrer:2.2) and jetified-payu-gpay-1.3.2-runtime (com.payu.gpay:payu-gpay:1.3.2) Duplicate class com.google.android.a.b found in modules jetified-installreferrer-2.2-runtime (com.android.installreferrer:installreferrer:2.2) and jetified-payu-gpay-1.3.2-runtime (com.payu.gpay:payu-gpay:1.3.2) Duplicate class com.google.android.a.c found in modules jetified-installreferrer-2.2-runtime (com.android.installreferrer:installreferrer:2.2) and jetified-payu-gpay-1.3.2-runtime (com.payu.gpay:payu-gpay:1.3.2) Source: Android ..

Read more

We have a lots of Anko code in our project and it slows down the build a lot due to Jetifier. I am trying to download all the Anko AAR files and run ./jetifier-standalone on them. However, the GridLayout and ConstraintLayout are not downloadable. https://mvnrepository.com/artifact/org.jetbrains.anko/anko-gridlayout-v7/0.10.8 https://mvnrepository.com/artifact/org.jetbrains.anko/anko-constraint-layout/0.10.8 The https://github.com/Kotlin/anko/issues is already archived and I can no ..

Read more

After upgrating flutter version to Flutter 1.22.0-2.0.pre.78 • channel master I am getting this warning WARNING: [Processor] Library ‘C:Users….gradlecachesmodules-2files-2.1io.flutterflutter_embedding_debug.0.0-b1d9f863db32cb1d6714cf75db4a992ee3765113b8748b5192a2a0961f5c14f8845331ad5f2225a1flutter_embedding_debug-1.0.0-b1d9f863db32cb1d6714cf75db4a992ee3765113.jar’ contains references to both AndroidX and old support library. This seems like the library is partially migrated. Jetifier will try to rewrite the library anyway. Example of androidX reference: ‘androidx/annotation/VisibleForTesting’ Example of support library reference: ‘android/support/annotation/NonNull’ ..

Read more